> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Node Libraries

> Endpoint to retrieve all node libraries.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/node-libraries
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/node-libraries:
    get:
      tags:
        - Node Libraries
      summary: Get Node Libraries
      description: Endpoint to retrieve all node libraries.
      operationId: workflow_service_get_node_libraries_v1_node_libraries_get
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Number of items per page
            default: 300
            title: Size
          description: Number of items per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search keywords
            title: Search
          description: Search keywords
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by start time (ISO 8601 format)
            title: Start
          description: Filter by start time (ISO 8601 format)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by end time (ISO 8601 format)
            title: End
          description: Filter by end time (ISO 8601 format)
        - name: access_level
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AccessControlLevel'
              - const: all
                type: string
              - type: 'null'
            description: >-
              Access level filter for the node library. Use 'all' to retrieve
              all nodes regardless of access level.
            default: all
            title: Access Level
          description: >-
            Access level filter for the node library. Use 'all' to retrieve all
            nodes regardless of access level.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeLibraryListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    AccessControlLevel:
      type: string
      enum:
        - personal
        - team
        - system
      title: AccessControlLevel
      description: Enum representing different access control levels.
    NodeLibraryListResponse:
      properties:
        node_libraries:
          items:
            $ref: '#/components/schemas/NodeLibraryModel'
          type: array
          title: Node Libraries
          description: List of node libraries
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of node libraries available without pagination.
      type: object
      title: NodeLibraryListResponse
      description: |-
        Response model for a list of node library.
        Contains a list of NodeLibraryModel objects.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NodeLibraryModel:
      properties:
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the team that owns this edge
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the user who created this edge
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the user who last updated this edge
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        _id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: MongoDB document ObjectID
        node_library_config:
          anyOf:
            - $ref: '#/components/schemas/NodeLibraryConfig-Output'
            - type: 'null'
          description: Node Library Configuration
      type: object
      title: NodeLibraryModel
      description: Stores the node library config in the workflow system.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    NodeLibraryConfig-Output:
      properties:
        logical_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Library Logical ID
          description: Unique identifier for the node library
          input_field_disallowed: true
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Library Name
          description: Name of the Node Library
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Library Description
          description: Description of the node library
        nodes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Nodes
          description: List of node IDs that are part of this library
          input_field_not_visible: true
        access_level:
          anyOf:
            - $ref: '#/components/schemas/AccessControlLevel'
            - type: 'null'
          title: Access Level
          description: Access level for the node library
          default: personal
        access_list:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Access List
          description: List of user IDs or team IDs that have access to this node library
          input_field_not_visible: true
      type: object
      title: NodeLibraryConfig
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````